# $Revision: 1.21 $, $Date: 2006/04/05 14:04:18 $
Summary:	Psion 5 data format library
Summary(pl):	Biblioteka obsugi plikw Psion 5
Name:		psiconv
Version:	0.9.7
Release:	3
License:	GPL
Group:		Libraries
Source0:	http://huizen.dds.nl/~frodol/psiconv/%{name}-%{version}.tar.gz
# Source0-md5:	1a14f0e5a047d136348b6c0e19051289
Patch0:		%{name}-gcc34.patch
URL:		http://huizen.dds.nl/~frodol/psiconv/
BuildRequires:	ImageMagick-devel
BuildRequires:	automake
BuildRequires:	bc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package is meant to make the Psion 5 series of PDAs, as well as
other small computers running Epoc 32, more usable to non-Windows
users. The package consists of several parts:
- Documentation about Psion 5 data formats;
- A library which can be linked against application that have to read
  (and in the future, perhaps write) Psion 5 files;
- An example command-line program which reads Psion files and writes
  more commonly used formats.

%description -l pl
Ten pakiet ma za zadanie uczyni PDA serii Psion 5 oraz inne mae
komputery na Epoc 32 bardziej uytecznymi dla uytkownikw systemw
innych ni Windows. Pakiet zawiera:
- dokumentacj o formatach danych Psion 5,
- bibliotek dla aplikacji, ktra moe czyta (w przyszoci by moe
  take zapisywa) pliki Psion 5,
- przykadowy program czytajcy pliki Psion 5 i zapisujcy w czciej
  spotykanych formatach.

%package devel
Summary:	Development part of psiconv
Summary(pl):	Cz psiconv przeznaczona dla programistw
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for psiconv and Psion 5 file format documentation.

%description devel -l pl
Pliki nagwkowe psiconv oraz dokumentacja formatu plikw Psion 5.

%package static
Summary:	Static psiconv library
Summary(pl):	Statyczna biblioteka psiconv
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static psiconv library.

%description static -l pl
Statyczna biblioteka psiconv.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub .
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf formats/xhtml/.temp

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libpsiconv.so.*.*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/psion
%{_datadir}/%{name}/xhtml
%{_mandir}/man1/*.1*

%files devel
%defattr(644,root,root,755)
%doc formats/xhtml/*
%attr(755,root,root) %{_libdir}/libpsiconv.so
%{_libdir}/libpsiconv.la
%{_includedir}/psiconv

%files static
%defattr(644,root,root,755)
%{_libdir}/libpsiconv.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: psiconv.spec,v $
Revision 1.21  2006/04/05 14:04:18  hawk
- release 3 (rebuild with new ImageMagick)

Revision 1.20  2005/10/05 17:01:45  arekm
- rel 2

Revision 1.19  2005/07/22 09:48:40  qboosh
- missing dir

Revision 1.18  2005/07/22 09:44:26  blekot
- up to 0.97
- more %files

Revision 1.17  2005/03/29 22:18:10  qboosh
- unified

Revision 1.16  2005/03/29 09:12:39  freetz
- merged from DEVEL

Revision 1.15  2005/01/02 17:35:23  darekr
- back to 0.8.3, 0.9.6 is on DEVEL

Revision 1.14  2005/01/01 18:36:38  darekr
- updated to 0.9.6
- added ChangeLog to %doc
- added config file
- missing manuals

Revision 1.13  2004/10/31 21:05:46  paladine
- spaces->tabs
- formatting

Revision 1.12.2.7  2005/01/20 09:17:39  krzak
- BR: bc

Revision 1.12.2.6  2004/09/16 11:10:51  freetz
- gcc 3.4.x fix - patch added

Revision 1.12.2.5  2004/05/18 12:27:19  grzegol
- updated to 0.9.6

Revision 1.12.2.4  2004/04/07 22:39:03  grzegol
- updated to 0.9.5

Revision 1.12.2.3  2004/03/18 12:08:37  grzegol
- updated to 0.9.4

Revision 1.12.2.2  2004/03/18 09:06:29  qboosh
- leave manual compression to rpm macros

Revision 1.12.2.1  2004/03/17 22:03:21  grzegol
- updated to 0.9.3 (it's API incopatible with 0.8.x versions)

Revision 1.12  2004/03/12 17:09:18  grzegol
- added BR: ImageMagick-devel
- strict internal deps

Revision 1.11  2003/12/27 21:10:59  undefine
- BR automake, copy config.sub to allow build on amd64

Revision 1.10  2003/11/24 12:48:42  averne
- release 2

Revision 1.9  2003/05/28 13:01:25  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:25:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2002/11/25 14:17:50  ankry
- massive attack: no need for 755 for *.la

Revision 1.6  2002/07/24 15:15:42  marcus
- new version 0.8.3 (unable to regeneration ac/am too)

Revision 1.5  2002/07/23 20:22:18  marcus
- use new %%doc

Revision 1.4  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:14:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/10/30 03:55:22  kloczek
- added missing %post/%posttun with run /sbin/ldconfig.

Revision 1.1  2001/10/25 09:40:17  qboosh
- new: Psion5 to other formats conversion library+program
